<div class="top_line">
  </div>
  <nav class="navbar nav_top navbar-expand-md navbar-dark">
      <div class="container">
          <a class="navbar-brand" href="#">
              <img src="../../assets/images/home/logo.jpg" class="img-fluid" />
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
          </button>
  
          <div class="collapse navbar-collapse" id="navbarsExampleDefault">
              <ul class="navbar-nav ml-4  mr-auto nav_list">
                  <li class="nav-item mx-3 ml-auto position-relative active">
                      <a class="nav-link clr_bl" href="#">
                          About us
                          <span class="menu_line"></span>
                      </a>
                  </li>
                  <!--<li class="nav-item mx-4 position-relative">
                      <a class="nav-link clr_bl" href="#">
                          Our Services
                          <span class="menu_line"></span>
                      </a>
                  </li>-->
                  <li class="nav-item dropdown mx-4 position-relative">
                      <a class="nav-link clr_bl dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
                          Our Services
                          <span class="menu_line"></span>
                      </a>
                      <div class="dropdown-menu">
                          <a class="dropdown-item" href="#">Departure Services</a>
                          <a class="dropdown-item" href="#">Arrival Services</a>
                          <a class="dropdown-item" href="#">Transit Services</a>
                          <a class="dropdown-item" href="#">Add ons</a>
                      </div>
                  </li>
                  <li class="nav-item mx-4 position-relative">
                      <a class="nav-link  clr_bl">
                          Manage Bookings
                          <span class="menu_line"></span>
                      </a>
                  </li>
                  <li class="nav-item mx-4 position-relative">
                      <a class="nav-link clr_bl" href="#">
                          Flight Status
                          <span class="menu_line"></span>
                      </a>
                  </li>
                  <li class="nav-item mx-4 after-none position-relative">
                      <a class="nav-link  clr_bl" href="#">
                          Contact Us
                          <span class="menu_line"></span>
                      </a>
                  </li>
              </ul>
              <div class="hy_logo float-right">
                  <img src="../../assets/images/home/Hial-logo.jpg" class="img-fluid" />
              </div>
          </div>
      </div>
  </nav>
  <section class="services_container py-5">
      <div class="container">
          <div class="serv_container_inner px-5">
              <div class="serv_head">
                  <h3 class="fs-1-5 "> <span class="fs-1-5 fw_700 gil_bold clr_blue">GMR PRIME - </span>Meet & Greet Services</h3>
              </div>
              <div class="services_flow_container">
                  <div class="row">
                      <div class="col-sm-9">
                          <div class="services_flow bg-white p-4">
                              <div class="ser_par pb-5">
                                  <div class="serices_flow_num">
                                      <p [ngClass]="{active: step1}" class="serv_num fs-1-3 fw_600 gil_bold clr_white">1
                                          <span *ngIf = "step1" class="ser_numb_label gil_light fsp-12 fw_none">Select Services</span></p>
                                  </div>
                                  <div class="serices_flow_num">
                                      <p [ngClass]="{active: step2}" class="serv_num fw_600 fs-1-3 gil_bold clr_white">2
                                          <span *ngIf = "step2" class="ser_numb_label gil_light fsp-12 fw_none">Add ons</span></p>
                                  </div>
                                  <div class="serices_flow_num w-25">
                                      <p [ngClass]="{active: showstep3}" class="serv_num fw_600 fs-1-3 gil_bold clr_white after-none">3
                                          <span *ngIf = "showstep3" class="ser_numb_label gil_light fsp-12 fw_none">Review & Checkout</span>
                                      </p>
                                  </div>
                              </div>
                              <div class="ser_fl_Acc pt-4">
                                  <h3 class="fs-1 fw_700 gil_md clr_c_grey">Meet & Greet Services</h3>
                                  
  
                                  <!-- departure step one -->
                                  <div id="accordion_services" *ngIf = "step1 && serviceName == 'departure'">
                                      
                                      <div class="card mb-3">
                                          <div class="card-header  align-items-center  no-pad no-mar">
                                                <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseOne">
                                              <div class="col-sm-5">
                                                  
                                             <p class="clr_white fs-1-2 ml-5">One Time Plan</p>
                                          </div>
                                              <div class="col-sm-3">
                                              <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                              </div>
                                            </a>
                                          </div>                          
                                          <div id="collapseOne" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of oneTimePackage; let i = index">
                                              <div class="card-header  no-pad no-mar">
                                                      <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                    <div class="col-sm-5">  
                                                   <p class="clr_white fs-1-2 ml-5">{{listItem.pkgName}}</p>
                                                </div>
                                                <div class="col-sm-3">
                                                  <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'domestic'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.domesticAmt}}</span>
                                                  <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'international'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.internationalAmt}}</span>
                                                  </div>
                                                    <div class="col-sm-4" *ngIf="i == 0">
                                                          <a href="javascript:void(0);" *ngIf="!isOneTimeGoldItemAdded"  (click)="togglingOneTimePackage(i, listItem, isOneTimeGoldItemAdded = ! isOneTimeGoldItemAdded)" class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                          <a href="javascript:void(0);" *ngIf="isOneTimeGoldItemAdded"  (click)="togglingOneTimePackage(i, listItem, isOneTimeGoldItemAdded = ! isOneTimeGoldItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                          <a href="javascript:void(0);" *ngIf="isOneTimeGoldItemAdded" class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                    </div>
                                                    <div class="col-sm-4" *ngIf="i == 1">
                                                          <a href="javascript:void(0);" *ngIf="!isOneTimePlatinumItemAdded"  (click)="togglingOneTimePackage(i, listItem, isOneTimePlatinumItemAdded = ! isOneTimePlatinumItemAdded)" class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                          <a href="javascript:void(0);" *ngIf="isOneTimePlatinumItemAdded"  (click)="togglingOneTimePackage(i, listItem, isOneTimePlatinumItemAdded = ! isOneTimePlatinumItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                          <a href="javascript:void(0);" *ngIf="isOneTimePlatinumItemAdded" class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                    </div>
                                                  </a>
                                              </div> 
                                          <div class="card-body">  
                                            <div class="row">
                                                <div class="col-sm-6">  
                                                    <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
  
                                                </div>                                       
                                                <div class="col-sm-6"> 
                                                    <ul class="acc_Services">
                                                        <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                        <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                        </ul>  
                                                    </div>   
                                                </div>
                                          </div>
                                        </div>    
                                      </div>
  
                                      <div class="card mb-3">
                                              <div class="card-header  align-items-center  no-pad no-mar">
                                                    <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseTwo">
                                                  <div class="col-sm-5">
                                                      
                                                 <p class="clr_white fs-1-2 ml-5">Privilege Plan</p>
                                              </div>
                                                  <div class="col-sm-3">
                                                  <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                                  </div>
                                                </a>
                                              </div>                          
                                              <div id="collapseTwo" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of privilegePackage;let i = index">
                                                  <div class="card-header  no-pad no-mar">
                                                          <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                        <div class="col-sm-5">  
                                                       <p class="clr_white fs-1-2 ml-5">{{listItem.pkgName}}</p>
                                                    </div>
                                                    <div class="col-sm-3">
                                                          <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'domestic'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.domesticAmt}}</span>
                                                          <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'international'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.internationalAmt}}</span>
                                                      </div>
                                                        <div class="col-sm-4" *ngIf="i == 0">
                                                              <a  href="javascript:void(0);" *ngIf="!isPrevGoldItemAdded"  (click)="togglingPreviliegePackage(i, listItem, isPrevGoldItemAdded = ! isPrevGoldItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                              <a href="javascript:void(0);" *ngIf="isPrevGoldItemAdded"  (click)="togglingPreviliegePackage(i, listItem, isPrevGoldItemAdded =  ! isPrevGoldItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                              <a href="javascript:void(0);" *ngIf="isPrevGoldItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                        </div>
                                                        <div class="col-sm-4" *ngIf="i == 1">
                                                              <a  href="javascript:void(0);" *ngIf="!isPrevPlatinumItemAdded"  (click)="togglingPreviliegePackage(i, listItem, isPrevPlatinumItemAdded = ! isPrevPlatinumItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                              <a href="javascript:void(0);" *ngIf="isPrevPlatinumItemAdded"  (click)="togglingPreviliegePackage(i, listItem, isPrevPlatinumItemAdded = ! isPrevPlatinumItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                              <a href="javascript:void(0);" *ngIf="isPrevPlatinumItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                        </div>
                                                      </a>
                                                  </div> 
                                              <div class="card-body">  
                                                <div class="row">
                                                    <div class="col-sm-6">  
                                                        <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
      
                                                    </div>                                       
                                                    <div class="col-sm-6"> 
                                                        <ul class="acc_Services">
                                                            <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                            <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                            </ul>  
                                                        </div>   
                                                    </div>
                                              </div>
                                            </div>    
                                          </div>
                                  </div>
  
                                  <!-- Arrival Step One -->
                                  <div id="accordion_services" *ngIf = "step1 && serviceName == 'arrival'">
                                          <div class="card mb-3">
                                              <div class="card-header  align-items-center  no-pad no-mar">
                                                    <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseOne">
                                                  <div class="col-sm-5">
                                                      
                                                 <p class="clr_white fs-1-2 ml-5">{{arrivalTravelType}}</p>
                                              </div>
                                                  <div class="col-sm-3">
                                                  <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                                  </div>
                                                </a>
                                              </div>                          
                                              <div id="collapseOne" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of packageList; let i = index">
                                                  <div class="card-header  no-pad no-mar" *ngIf="i == 0">
                                                          <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                        <div class="col-sm-5">  
                                                       <p class="clr_white fs-1-2 ml-5">{{listItem.name}}</p>
                                                    </div>
                                                    <div class="col-sm-3">
                                                      <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount}}</span>
                                                      </div>
                                                        <div class="col-sm-4" >
                                                          <a href="javascript:void(0);"  *ngIf="!isServiceAdded"  (click)="togglingServicePackage(listItem, isServiceAdded = ! isServiceAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                          <a href="javascript:void(0);"  *ngIf="isServiceAdded"  (click)="togglingServicePackage(listItem, isServiceAdded = ! isServiceAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                          <a href="javascript:void(0);"  *ngIf="isServiceAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                        </div>
                                                      </a>
                                                  </div> 
                                              <div class="card-body" *ngIf="i == 0">  
                                                <div class="row">
                                                    <div class="col-sm-6">  
                                                        <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
      
                                                    </div>                                       
                                                    <div class="col-sm-6"> 
                                                        <ul class="acc_Services">
                                                            <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                            <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                            </ul>  
                                                        </div>   
                                                    </div>
                                              </div>
                                            </div>    
                                          </div>
                                      </div>
                                 
  
                                      <!-- Transfer Step One -->
                                      <div id="accordion_services" *ngIf = "step1 && serviceName == 'transfer'">
                                              <div class="card mb-3" *ngIf="transferTravelType == 'd2d'">
                                                  <div class="card-header  align-items-center  no-pad no-mar">
                                                        <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseOne">
                                                      <div class="col-sm-5">
                                                          
                                                     <p class="clr_white fs-1-2 ml-5">Domestic to Domestic</p>
                                                  </div>
                                                      <div class="col-sm-3">
                                                      <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                                      </div>
                                                    </a>
                                                  </div>                          
                                                  <div id="collapseOne" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of d2D; let i = index">
                                                      <div class="card-header  no-pad no-mar">
                                                              <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                            <div class="col-sm-5">  
                                                           <p class="clr_white fs-1-2 ml-5">{{listItem.pkgName}}</p>
                                                        </div>
                                                        <div class="col-sm-3">
                                                          <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.pkgAmount}}</span>
                                                          </div>
                                                            <div class="col-sm-4" *ngIf="i == 0">
                                                                  <a href="javascript:void(0);" *ngIf="!isD2DGoldItemAdded"  (click)="togglingD2DPackage(i, listItem, isD2DGoldItemAdded = ! isD2DGoldItemAdded)" class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                  <a href="javascript:void(0);" *ngIf="isD2DGoldItemAdded"  (click)="togglingD2DPackage(i, listItem, isD2DGoldItemAdded = ! isD2DGoldItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                  <a href="javascript:void(0);" *ngIf="isD2DGoldItemAdded" class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                            </div>
                                                            <div class="col-sm-4" *ngIf="i == 1">
                                                                  <a href="javascript:void(0);" *ngIf="!isD2DPlatinumItemAdded"  (click)="togglingD2DPackage(i, listItem, isD2DPlatinumItemAdded = ! isD2DPlatinumItemAdded)" class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                  <a href="javascript:void(0);" *ngIf="isD2DPlatinumItemAdded"  (click)="togglingD2DPackage(i, listItem, isD2DPlatinumItemAdded = ! isD2DPlatinumItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                  <a href="javascript:void(0);" *ngIf="isD2DPlatinumItemAdded" class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                            </div>
                                                          </a>
                                                      </div> 
                                                  <div class="card-body">  
                                                    <div class="row">
                                                        <div class="col-sm-6">  
                                                            <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
          
                                                        </div>                                       
                                                        <div class="col-sm-6"> 
                                                            <ul class="acc_Services">
                                                                <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                </ul>  
                                                            </div>   
                                                        </div>
                                                  </div>
                                                </div>    
                                              </div>
          
          
          
                                              <div class="card mb-3" *ngIf="transferTravelType == 'd2i'">
                                                      <div class="card-header  align-items-center  no-pad no-mar">
                                                            <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseTwo">
                                                          <div class="col-sm-5">
                                                              
                                                         <p class="clr_white fs-1-2 ml-5">Domestic to International</p>
                                                      </div>
                                                          <div class="col-sm-3">
                                                          <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                                          </div>
                                                        </a>
                                                      </div>                          
                                                      <div id="collapseTwo" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of d2I;let i = index">
                                                          <div class="card-header  no-pad no-mar">
                                                                  <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                                <div class="col-sm-5">  
                                                               <p class="clr_white fs-1-2 ml-5">{{listItem.pkgName}}</p>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                  <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.pkgAmount}}</span>
                                                              </div>
                                                                <div class="col-sm-4" *ngIf="i == 0">
                                                                      <a  href="javascript:void(0);" *ngIf="!isD2IGoldItemAdded"  (click)="togglingD2IPackage(i, listItem, isD2IGoldItemAdded = ! isD2IGoldItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                      <a href="javascript:void(0);" *ngIf="isD2IGoldItemAdded"  (click)="togglingD2IPackage(i, listItem, isD2IGoldItemAdded =  ! isD2IGoldItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                      <a href="javascript:void(0);" *ngIf="isD2IGoldItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                </div>
                                                                <div class="col-sm-4" *ngIf="i == 1">
                                                                      <a  href="javascript:void(0);" *ngIf="!isD2IPlatinumItemAdded"  (click)="togglingD2IPackage(i, listItem, isD2IPlatinumItemAdded = ! isD2IPlatinumItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                      <a href="javascript:void(0);" *ngIf="isD2IPlatinumItemAdded"  (click)="togglingD2IPackage(i, listItem, isD2IPlatinumItemAdded = ! isD2IPlatinumItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                      <a href="javascript:void(0);" *ngIf="isD2IPlatinumItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                </div>
                                                              </a>
                                                          </div> 
                                                      <div class="card-body">  
                                                        <div class="row">
                                                            <div class="col-sm-6">  
                                                                <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
              
                                                            </div>                                       
                                                            <div class="col-sm-6"> 
                                                                <ul class="acc_Services">
                                                                    <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                    <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                    </ul>  
                                                                </div>   
                                                            </div>
                                                      </div>
                                                    </div>    
                                                  </div>
          
          
                                                  <div class="card mb-3" *ngIf="transferTravelType == 'i2d'">
                                                      <div class="card-header  align-items-center  no-pad no-mar">
                                                            <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseThree">
                                                          <div class="col-sm-5">
                                                              
                                                         <p class="clr_white fs-1-2 ml-5">International to Domestic</p>
                                                      </div>
                                                          <div class="col-sm-3">
                                                          <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none"></span></span>
                                                          </div>
                                                        </a>
                                                      </div>                          
                                                      <div id="collapseThree" class="collapse hide" data-parent="#accordion_services" *ngFor="let listItem of i2D;let i = index">
                                                          <div class="card-header  no-pad no-mar">
                                                                  <a class="card-link-new no-mar row py-2 pl-4 z-index-1">
                                                                <div class="col-sm-5">  
                                                               <p class="clr_white fs-1-2 ml-5">{{listItem.pkgName}}</p>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                  <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.pkgAmount}}</span>
                                                              </div>
                                                                <div class="col-sm-4" *ngIf="i == 0">
                                                                      <a  href="javascript:void(0);" *ngIf="!isI2DGoldItemAdded"  (click)="togglingI2DPackage(i, listItem, isI2DGoldItemAdded = ! isI2DGoldItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                      <a href="javascript:void(0);" *ngIf="isI2DGoldItemAdded"  (click)="togglingI2DPackage(i, listItem, isI2DGoldItemAdded =  ! isI2DGoldItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                      <a href="javascript:void(0);" *ngIf="isI2DGoldItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                </div>
                                                                <div class="col-sm-4" *ngIf="i == 1">
                                                                      <a  href="javascript:void(0);" *ngIf="!isI2DPlatinumItemAdded"  (click)="togglingI2DPackage(i, listItem, isI2DPlatinumItemAdded = ! isI2DPlatinumItemAdded)"  class="add_booking fsp-12 clr_white position-relative  bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                      <a href="javascript:void(0);" *ngIf="isI2DPlatinumItemAdded"  (click)="togglingI2DPackage(i, listItem, isI2DPlatinumItemAdded = ! isI2DPlatinumItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                      <a href="javascript:void(0);" *ngIf="isI2DPlatinumItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                </div>
                                                              </a>
                                                          </div> 
                                                      <div class="card-body">  
                                                        <div class="row">
                                                            <div class="col-sm-6">  
                                                                <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
              
                                                            </div>                                       
                                                            <div class="col-sm-6"> 
                                                                <ul class="acc_Services">
                                                                    <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                    <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                    </ul>  
                                                                </div>   
                                                            </div>
                                                      </div>
                                                    </div>    
                                                  </div>
          
                                          </div>
                                      
  
                                  <!-- Departure step two -->
                                  <div id="accordion_addOn_services" *ngIf = "step2 && serviceName == 'departure'">
                                      <h3 class="fs-1 fw_700 mt-4 gil_md clr_c_grey">Add-Ons</h3>
                                    
                                      <div class="card" *ngFor="let listItem of addOnServices; let i = index;">
                                            <div class="card-header align-items-center  no-pad no-mar">
                                                    <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseThree_{{i}}">
                                                            <div class="col-sm-5">     
                                                           <p class="clr_white fs-1-2 ml-5">{{listItem.name}}</p>
                                                        </div>
                                                            <div class="col-sm-3">
                                                            <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'domestic'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount.domestic}}</span>
                                                            <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="departTravelType == 'international'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount.international}}</span>
                                                          </div>
                                                            <div class="col-sm-4" *ngIf="i == 0">
                                                                  <a href="javascript:void(0);"  *ngIf="!isPortItemAdded"  (click)="togglingPorterPackage(listItem, isPortItemAdded = ! isPortItemAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                  <a href="javascript:void(0);"  *ngIf="isPortItemAdded"  (click)="togglingPorterPackage(listItem, isPortItemAdded = ! isPortItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                  <a href="javascript:void(0);"  *ngIf="isPortItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                            </div>
                                                            <div class="col-sm-4" *ngIf="i == 1">
                                                                  <a href="javascript:void(0);"  *ngIf="!isLoungeItemAdded"  (click)="togglingAddonPackage(listItem, isLoungeItemAdded = ! isLoungeItemAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                  <a href="javascript:void(0);"  *ngIf="isLoungeItemAdded"  (click)="togglingAddonPackage(listItem, isLoungeItemAdded = ! isLoungeItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                  <a href="javascript:void(0);"  *ngIf="isLoungeItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                            </div>
                                                          </a>
                                              </div>
                                          <div id="collapseThree_{{i}}" class="collapse hide" data-parent="#accordion_addOn_services">
                                            <div class="card-body">
                                                    <p class="fsp-13">  Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                                            </div>
                                          </div>
                                        </div>
                                  </div>
  
                                  <!-- Arrival Step Two -->
                                  <div id="accordion_addOn_services" *ngIf = "step2 && serviceName == 'arrival'">
                                          <h3 class="fs-1 fw_700 mt-4 gil_md clr_c_grey">Add-Ons</h3>
                                        
                                          <div class="card" *ngFor="let listItem of packageList; let i = index">
                                                <div class="card-header align-items-center  no-pad no-mar" *ngIf="i == 1">
                                                        <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseThree_{{i}}">
                                                                <div class="col-sm-5">     
                                                               <p class="clr_white fs-1-2 ml-5">{{listItem.name}}</p>
                                                            </div>
                                                                <div class="col-sm-3">
                                                                      <span class="fs-1-2 clr_white fw_600 gil_bold"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount}}</span>
                                                              </div>
                                                                  <div class="col-sm-4">
                                                                      <a href="javascript:void(0);"  *ngIf="!isPorterAdded"  (click)="togglingArrivalPorterPackage(listItem, isPorterAdded = ! isPorterAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                      <a href="javascript:void(0);"  *ngIf="isPorterAdded"  (click)="togglingArrivalPorterPackage(listItem, isPorterAdded = ! isPorterAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                      <a href="javascript:void(0);"  *ngIf="isPorterAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                    </div>
                                                              </a>
                                                  </div>
                                                  <div  id="collapseThree_{{i}}" class=" card-body collapse hide" data-parent="#accordion_addOn_services" *ngIf="i == 1" >  
                                                          <div class="row">
                                                              <div class="col-sm-6">  
                                                                  <p class="fsp-12"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                
                                                              </div>                                       
                                                              <div class="col-sm-6"> 
                                                                  <ul class="acc_Services">
                                                                      <li class="px-2 py-1 mb-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                      <li class="px-2 py-1 fsp-12"><img src="../../assets/images/home/right.png" class="img-fluid mr-3" />Fast Track</li>
                                                                      </ul>  
                                                                  </div>   
                                                              </div>
                                                        </div>
                                            </div>
                                      </div>
  
                                      <!-- Transfer Step Two -->
                                      <div id="accordion_addOn_services" *ngIf = "step2 && serviceName == 'transfer'">
                                              <h3 class="fs-1 fw_700 mt-4 gil_md clr_c_grey">Add-Ons</h3>
                                            
                                              <div class="card" *ngFor="let listItem of addOnServices; let i = index;">
                                                    <div class="card-header align-items-center  no-pad no-mar">
                                                            <a class="card-link no-mar row py-2 pl-4 z-index-1" data-toggle="collapse" href="#collapseThree_{{i}}">
                                                                    <div class="col-sm-5">
                                                                        
                                                                   <p class="clr_white fs-1-2 ml-5">{{listItem.name}}</p>
                                                                   
                                                                  
                                                                </div>
                                                                    <div class="col-sm-3">
                                                                    <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="transferTravelType == 'd2d'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount.domestic}}</span>
                                                                    <span class="fs-1-2 clr_white fw_600 gil_bold" *ngIf="transferTravelType == 'd2i' || transferTravelType == 'i2d'"><span class="gil_md fw_none">&#x20B9; </span>{{listItem.amount.international}}</span>
                                                                  </div>
                                                                    <div class="col-sm-4" *ngIf="i == 0">
                                                                          <a href="javascript:void(0);"  *ngIf="!isPortItemAdded"  (click)="togglingPorterPackage(listItem, isPortItemAdded = ! isPortItemAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                          <a href="javascript:void(0);"  *ngIf="isPortItemAdded"  (click)="togglingPorterPackage(listItem, isPortItemAdded = ! isPortItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                          <a href="javascript:void(0);"  *ngIf="isPortItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                    </div>
                                                                    <div class="col-sm-4" *ngIf="i == 1">
                                                                          <a href="javascript:void(0);"  *ngIf="!isLoungeItemAdded"  (click)="togglingAddonPackage(listItem, isLoungeItemAdded = ! isLoungeItemAdded)" class="add_booking fsp-12 clr_white position-relative   bor_white pl-5 pr-2 float-right py-1 z-index-2">Add to booking</a>
                                                                          <a href="javascript:void(0);"  *ngIf="isLoungeItemAdded"  (click)="togglingAddonPackage(listItem, isLoungeItemAdded = ! isLoungeItemAdded)" class="remove fsp-12 clr_white position-relative  text-center float-right bor_white pl-4 pr-4 py-1 z-index-2">Remove</a>
                                                                          <a href="javascript:void(0);"  *ngIf="isLoungeItemAdded"  class="added bg-white fsp-12 clr_white position-relative  text-center clr_blue   float-right bor_white pl-4 z-index-2 pr-4 mr-2 py-1">Added</a>
                                                                    </div>
                                                                  </a>
                                                      </div>
                                                  <div id="collapseThree_{{i}}" class="collapse hide" data-parent="#accordion_addOn_services">
                                                    <div class="card-body">
                                                            <p class="fsp-13">  Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                                                    </div>
                                                  </div>
                                                </div>
                                          </div>
  
                                     <!-- step three -->
                                     <!-- <div class="form-group"> -->
                                          <form [formGroup]="guestForm">
                                     <div id="accordion_guest_Serv" class="mt-4" *ngIf = "step3">
                                          <div formArrayName="adultDetails">
                                          <!-- <div class="card mb-3" *ngFor="let adults of adultsCountArray"> -->
                                          <div class="card mb-3" *ngFor="let val of guestForm.controls.adultDetails.controls; let i=index">
                                                  <div [formGroupName]="i">
                                            <div class="card-header no-pad border-0">
                                              <a class="card-link p-2 d-block position-relative pl-4 clr_bl" data-toggle="collapse" href="#collapseAdult_{{i}}">
                                               Adult {{i+1}}
                                              </a>
                                            </div>
                                            <div id="collapseAdult_{{i}}" class="collapse" data-parent="#accordion_guest_Serv">
                                              <div class="card-body  pl-4">
                                                  <div class="form-row mb-3 row">
                                                      <div class="col-sm-6 pr-2">
                                                        <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="firstName" placeholder="First Name*" />
                                                        </div>
                                                        <div class="col-sm-6 pl-3">
                                                            <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="lastName" placeholder="Last Name*" />
                                                            </div>
          
                                                   </div>
                                                   <div class="form-row mb-3 row">
                                                      <div class="col-sm-6 pr-2">
                                                             <div class="date-of-birth">
  
                                                                      <input type="text"
                                                                          placeholder="Date of birth*"
                                                                          class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12"                                                            
                                                                          [minDate]="adultMindate"
                                                                          [maxDate]="adultMaxdate"
                                                                          [bsConfig]="{dateInputFormat: 'MMM D, YYYY', containerClass: 'theme-default'}"
                                                                          formControlName="dob"
                                                                          readonly = 'true'
                                                                          ngModal
                                                                          bsDatepicker/>
                                                                  
                                                             </div>
                                                        <!-- <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="dob" placeholder="Date of Birth*" /> -->
                                                        </div>
                                                        <div class="col-sm-6 pl-3">
                                                            <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12"  formControlName="mobileNumber" placeholder="Mobile*" />
                                                            </div>
          
                                                   </div>
                                                   <div class="form-row mb-3 row">
                                                      <div class="col-sm-6 pr-2">
                                                        <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="national" placeholder="Nationality*" />
                                                        </div>
                                                       <div class="col-sm-6 pl-3">
                                                              <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="email" placeholder="Email Address*" />
                                                              </div>
                                                   </div>
      
                                                   <div class="form-row mb-3 row">
                                                   <div class="col-sm-12 pr-2">
                                                          <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" formControlName="pnrNo" placeholder="Enter Your PNR Number*" />
                                                     </div>
                                                  </div>
                                              </div>
                                            </div>
                                          </div>
                                          </div>
                                      </div>
      
                                      <div formArrayName="childDetails">
                                          <!-- <div class="card mb-3" *ngFor="let childs of childDetails"> -->
                                                  <div class="card mb-3" *ngFor="let val of guestForm.controls.childDetails.controls; let i=index">
                                                          <div [formGroupName]="i">
                                                  <div class="card-header no-pad border-0">
                                                    <a class="card-link p-2 d-block position-relative pl-4 clr_bl" data-toggle="collapse" href="#collapseChild_{{i}}">
                                                     Child {{i+1}}
                                                    </a>
                                                  </div>
                                                  <div id="collapseChild_{{i}}" class="collapse" data-parent="#accordion_guest_Serv">
                                                    <div class="card-body  pl-4">
                                                        <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                              <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="First Name*" />
                                                              </div>
                                                              <div class="col-sm-6 pl-3">
                                                                  <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Last Name*" />
                                                                  </div>
                
                                                         </div>
                                                         <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                                  <div class="date-of-birth">
  
                                                                          <input type="text"
                                                                              placeholder="Date of birth*"
                                                                              class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12"                                                            
                                                                              [minDate]="childMindate"
                                                                              [maxDate]="childMaxdate"
                                                                              [bsConfig]="{dateInputFormat: 'MMM D, YYYY', containerClass: 'theme-default'}"
                                                                              formControlName="dob"
                                                                              readonly = 'true'
                                                                              ngModal
                                                                              bsDatepicker/>
                                                                      
                                                                 </div>
                                                              <!-- <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Date of Birth*" /> -->
                                                              </div>
                                                              <div class="col-sm-6 pl-3">
                                                                  <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Mobile*" />
                                                                  </div>
                
                                                         </div>
                                                         <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                              <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Nationality*" />
                                                              </div>
                                                             <div class="col-sm-6 pl-3">
                                                                    <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Email Address*" />
                                                                    </div>
                                                         </div>
            
                                                         <div class="form-row mb-3 row">
                                                         <div class="col-sm-12 pr-2">
                                                                <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Enter Your PNR Number*" />
                                                           </div>
                                                        </div>
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                      </div>
      
                                              <div formArrayName="infantDetails">
                                                      <div class="card mb-3" *ngFor="let val of guestForm.controls.infantDetails.controls; let i=index">
                                                              <div [formGroupName]="i">
                                                <!-- <div class="card mb-3" *ngFor="let infants of infantDetails"> -->
                                                  <div class="card-header no-pad border-0">
                                                    <a class="card-link p-2 d-block position-relative pl-4 clr_bl" data-toggle="collapse" href="#collapseInfant_{{i}}">
                                                     Infant {{i+1}}
                                                    </a>
                                                  </div>
                                                  <div id="collapseInfant_{{i}}" class="collapse" data-parent="#accordion_guest_Serv">
                                                    <div class="card-body  pl-4">
                                                        <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                              <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="First Name*" />
                                                              </div>
                                                              <div class="col-sm-6 pl-3">
                                                                  <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Last Name*" />
                                                                  </div>
                
                                                         </div>
                                                         <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                                  <div class="date-of-birth">
  
                                                                          <input type="text"
                                                                              placeholder="Date of birth*"
                                                                              class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12"                                                            
                                                                              [minDate]="infantMindate"
                                                                              [maxDate]="infantMaxdate"
                                                                              [bsConfig]="{dateInputFormat: 'MMM D, YYYY', containerClass: 'theme-default'}"
                                                                              formControlName="dob"
                                                                              readonly = 'true'
                                                                              ngModal
                                                                              bsDatepicker/>
                                                                      
                                                                 </div>
                                                              <!-- <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Date of Birth*" /> -->
                                                              </div>
                                                              <div class="col-sm-6 pl-3">
                                                                  <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Mobile*" />
                                                                  </div>
                
                                                         </div>
                                                         <div class="form-row mb-3 row">
                                                            <div class="col-sm-6 pr-2">
                                                              <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Nationality*" />
                                                              </div>
                                                             <div class="col-sm-6 pl-3">
                                                                    <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Email Address*" />
                                                                    </div>
                                                         </div>
            
                                                         <div class="form-row mb-3 row">
                                                         <div class="col-sm-12 pr-2">
                                                                <input class="form_guest_inp_inner clr_frm w-100 pl-4 py-2  fsp-12" placeholder="Enter Your PNR Number*" />
                                                           </div>
                                                        </div>
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                              </div>
                                              </div>
                                          </form>
                                     <!-- step three -->
  
                                     <!-- placard details -->
                                     <div class="placrd_details mt-4 p-4" *ngIf = "showplacard">
                                          <h3 class="fs-1-1  clr_white gil_bold fw_700">Placard Details</h3>
                                          <p class="fsp-12 pb-3 clr_white">Please submit the details of the guest to be displayed in the Placard</p>  
                                          <div class="placrd_form"> 
                                              <input class="form_guest_inp_inner mb-3 clr_frm w-50 pl-4 py-2  fsp-12" placeholder="Name*"  [(ngModel)]="placardName"  (ngModelChange)="handlePlacardName(placardName)"/>
                                              <textarea class="form_guest_inp_inner mb-3 clr_frm w-50 pl-4 py-2  fsp-12" placeholder="Message" [(ngModel)]="placardMessage" (ngModelChange)="handlePlacardMessage(placardMessage)"></textarea>
                                          </div>
                                      </div>
                                     <!-- placard details -->
  
                                     <!-- payment and package -->
                                     <div class="ser_fl_Acc pt-4" *ngIf = "showpayment">
                         
  
                                          <div id="accordion_review_checkout" class="mt-4">
                                              <div class="card border-0 mb-3">
                                                <div class="card-header no-pad border-0">
                                                  <a class="card-link p-2 d-block position-relative pl-4 clr_bl" data-toggle="collapse" href="#collapseOne">
                                                   Package Details
                                                  </a>
                                                </div>
                                                <div id="collapseOne" class="collapse show" data-parent="#accordion_review_checkout">
                                                  <div class="card-body  pl-4">
                                                      <div class="form-row border_bottom py-3 row" *ngIf="chargeDetails.pkg_amt > 0">
                                                          <div class="col-sm-4">
                                                           <p class="fs_st fw_700">{{chargeDetails.package}}</p>
                                                            </div>
                                                            <div class="col-sm-4">
                                                               <!-- <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.pkg_amt}}</p> -->
                                                                </div>
                                                                <div class="col-sm-4">
                                                                      <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.pkg_amt}}</p>
                                                                <!-- <a href="javascript:void(0);" (click)="removePackage()" class="final_remove pr-3 float-right fw_600 fsp-12"><img src="assets/images/services/REMOVE.png" class="img-responsive mx-2"/>Remove</a> -->
                                                                  </div>
              
                                                       </div>
                                                       <div class="form-row py-3 row" *ngIf="chargeDetails.porter_amt > 0">
                                                          <div class="col-sm-4">
                                                           <p class="fs_st fw_700">{{chargeDetails.porters}}</p>
                                                            </div>
                                                            <div class="col-sm-4">
                                                               <!-- <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.porter_amt}}</p> -->
                                                                </div>
                                                              <div class="col-sm-4">
                                                                  <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.porter_amt}}</p>
                                                                  <!-- <a href="javascript:void(0);" (click)="removePorter()" class="final_remove pr-3 float-right fw_600 fsp-12"><img src="assets/images/services/REMOVE.png" class="img-responsive mx-2"/>Remove</a> -->
                                                              </div>
                                                       </div>
                                                       <div class="form-row py-3 row" *ngIf="chargeDetails.addon_amt > 0">
                                                          <div class="col-sm-4">
                                                           <p class="fs_st fw_700">{{chargeDetails.addons}}</p>
                                                            </div>
                                                            <div class="col-sm-4">
                                                               <!-- <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.addon_amt}}</p> -->
                                                                </div>
                                                              <div class="col-sm-4">
                                                                      <p class="fs_st text-center fw_700"> &#x20B9; {{chargeDetails.addon_amt}}</p>
                                                                  <!-- <a href="javascript:void(0);" (click)="removeLounge()" class="final_remove pr-3 float-right fw_600 fsp-12"><img src="assets/images/services/REMOVE.png" class="img-responsive mx-2"/>Remove</a> -->
                                                              </div>
                                                       </div>
                                                  </div>
                                                </div>
                                              </div>
  
                                              <div class="placrd_details mt-4 p-4">
                                                      <h3 class="fs-1-1  clr_white gil_bold fw_700">Placard Details</h3>
                                                      <p class="fsp-12 pb-3 clr_white">Please submit the details of the guest to be displayed in the Placard</p>  
                                                      <div class="placrd_form"> 
                                                          <input class="form_guest_inp_inner mb-3 clr_frm w-50 pl-4 py-2  fsp-12" placeholder="Name*"  [(ngModel)]="placardName"  (ngModelChange)="handlePlacardName(placardName)" disabled/>
                                                          <textarea class="form_guest_inp_inner mb-3 clr_frm w-50 pl-4 py-2  fsp-12" placeholder="Message" [(ngModel)]="placardMessage" (ngModelChange)="handlePlacardMessage(placardMessage)" disabled></textarea>
                                                      </div>
                                              </div>
    
                                                <div class="total_charges_Sec p-4 mt-4">
                                                  <p class="fs-1-3 float-left gil_bold">Total Charges</p>
                                                  <p class="fs-1-3 float-right gil_bold">&#x20B9; {{chargeDetails.pkg_amt + chargeDetails.addon_amt + chargeDetails.gst}}</p>
                                                  <div class="clearfix"></div>
                                                </div>
                                        
          
                                          <!-- <div class="acc_bl_buttons mt-4 pb-4">
                                              <div class="float-left">
                                                  <button (click)="goBack()" class="serv_back clr_white fsp-13 gil_md px-5 py-2">Go Back</button>
                                                  </div>
                                                  <div class="float-right">
                                                <button (click)="proceedToPay()" class="proceed_pay clr_white fsp-13 gil_md px-5 py-2">Prooced to pay</button>
                                                    </div>
                                                    <div class="clearfix"></div>
                                              </div> -->
                                            </div>
                                          </div>
                                     <!-- payment and package -->
  
  
                                  <div class="acc_bl_buttons mt-4 pb-4">
                                      <div class="float-left">
                                          <button (click)="goBack()" class="serv_back clr_white fsp-13 gil_md px-5 py-2">Go Back</button>
                                          </div>
                                          <div class="float-right">
                                        <button *ngIf = "!showpayment" (click)="goNext()" class="serv_next clr_white fsp-13 gil_md px-5 py-2">Next Step</button>
                                        <button *ngIf = "showpayment" (click)="proceedToPay()" class="proceed_pay clr_white fsp-13 gil_md px-5 py-2">Prooced to pay</button>
  
                                            </div>
                                            <div class="clearfix"></div>
                                      </div>
                                    </div>
                                  </div>
         
                      </div>
                      <div class="col-sm-3 no-pad">
  
                              <div class="flight_info bg-white p-3" *ngIf="serviceName == 'arrival' || serviceName == 'transfer'">
                                      <div class="info-row pb-1">
                                      <div class="float-left">
                                              <img src="assets/images/services/Flight.png" class="img-fluid"/>  Arrival Flight Info
                                          </div>
                                      <div class="float-right">
                                          <a class="fsp-12 clr_blue">Edit</a>
                                      </div>
                                      <div class="clearfix"></div>
                                      </div>
                                      <div class="info-row row py-1 no-mar">
                                              <div class="col-sm-6 no-pad">
                                                 <p class="fsp-12 clr_c_grey"> Airline</p>
                                                 <p class="fs_st clr_blue">{{arrivalAirLines}}</p>
                                                  </div>
                                              <div class="col-sm-6">
                                                      <p class="fsp-12 clr_c_grey"> Flight No</p>
                                                      <p class="fs_st clr_blue">{{arrivalFlightNo}}</p> 
                                              </div>
                                      <div class="clearfix"></div>
                                      </div> 
                                      <div class="info-row row no-mar py-1">
                                              <div class="col-sm-6 no-pad">
                                                 <p class="fsp-12 clr_c_grey"> No of Guest</p>
                                                 <p class="fs_st clr_blue"> 
                                                     <span *ngIf="adultsCount > 0">{{adultsCount}} Adult</span>
                                                     <span *ngIf="childsCount > 0">{{childsCount}} Child</span>
                                                     <span *ngIf="infantsCount > 0">{{infantsCount}} Infant</span>
                                                 </p>
                                                  </div>
                                              <div class="col-sm-6">
                                                      <p class="fsp-12 clr_c_grey"> Destination</p>
                                                      <p class="fs_st clr_blue">{{arrivalDestination}}</p> 
                                              </div>
                                      <div class="clearfix"></div>
                                      </div> 
                                      <div class="info-row row no-mar py-1">
                                              <div class="col-sm-6 no-pad">
                                                 <p class="fsp-12 clr_c_grey"> Flight Date</p>
                                                 <p class="fs_st clr_blue">{{arrivalDate}}</p>
                                                  </div>
                                              <div class="col-sm-6">
                                                      <p class="fsp-12 clr_c_grey"> Flight Time</p>
                                                      <p class="fs_st clr_blue">{{arrivalFlightTime}}</p> 
                                              </div>
                                      <div class="clearfix"></div>
                                      </div> 
                                      <div class="info-row row no-mar py-1 border-0">
                                              <div class="col-sm-6 no-pad">
                                                 <p class="fsp-12 clr_c_grey"> Service Date</p>
                                                 <p class="fs_st clr_blue">{{arrivalDate}}</p>
                                                  </div>
                                              <div class="col-sm-6">
                                                      <p class="fsp-12 clr_c_grey"> Service Time</p>
                                                      <p class="fs_st clr_blue">{{arrivalServiceTime}}</p> 
                                              </div>
                                      <div class="clearfix"></div>
                                      </div>                               
                                      </div>
  
                        <div class="flight_info bg-white p-3" *ngIf="serviceName == 'departure' || serviceName == 'transfer'">
                            <div class="info-row pb-1">
                            <div class="float-left">
                                    <img src="assets/images/services/Flight.png" class="img-fluid"/>   Departure Flight Info
                                </div>
                            <div class="float-right">
                                <a class="fsp-12 clr_blue">Edit</a>
                            </div>
                            <div class="clearfix"></div>
                            </div>
                            <div class="info-row row py-1 no-mar">
                                    <div class="col-sm-6 no-pad">
                                       <p class="fsp-12 clr_c_grey"> Airline</p>
                                       <p class="fs_st clr_blue">{{departAirLines}}</p>
                                        </div>
                                    <div class="col-sm-6">
                                            <p class="fsp-12 clr_c_grey"> Flight No</p>
                                            <p class="fs_st clr_blue">{{departFlightNo}}</p> 
                                    </div>
                            <div class="clearfix"></div>
                            </div> 
                            <div class="info-row row no-mar py-1">
                                    <div class="col-sm-6 no-pad">
                                       <p class="fsp-12 clr_c_grey"> No of Guest</p>
                                       <p class="fs_st clr_blue"> 
                                           <span *ngIf="adultsCount > 0">{{adultsCount}} Adult</span>
                                           <span *ngIf="childsCount > 0">{{childsCount}} Child</span>
                                           <span *ngIf="infantsCount > 0">{{infantsCount}} Infant</span>
                                       </p>
                                        </div>
                                    <div class="col-sm-6">
                                            <p class="fsp-12 clr_c_grey"> Destination</p>
                                            <p class="fs_st clr_blue">{{departDestination}}</p> 
                                    </div>
                            <div class="clearfix"></div>
                            </div> 
                            <div class="info-row row no-mar py-1">
                                    <div class="col-sm-6 no-pad">
                                       <p class="fsp-12 clr_c_grey"> Flight Date</p>
                                       <p class="fs_st clr_blue">{{departureDate}}</p>
                                        </div>
                                    <div class="col-sm-6">
                                            <p class="fsp-12 clr_c_grey"> Flight Time</p>
                                            <p class="fs_st clr_blue">{{departFlightTime}}</p> 
                                    </div>
                            <div class="clearfix"></div>
                            </div> 
                            <div class="info-row row no-mar py-1 border-0">
                                    <div class="col-sm-6 no-pad">
                                       <p class="fsp-12 clr_c_grey"> Service Date</p>
                                       <p class="fs_st clr_blue">{{departureDate}}</p>
                                        </div>
                                    <div class="col-sm-6">
                                            <p class="fsp-12 clr_c_grey"> Service Time</p>
                                            <p class="fs_st clr_blue">{{departServiceTime}}</p> 
                                    </div>
                            <div class="clearfix"></div>
                            </div>                               
                            </div>
  
  
                            <div class="serv_charges mt-4">
                                <div class="servchar_inner p-3">
                                    <div class="info-row row py-1 no-mar">
                                            <div class="col-sm-6 no-pad">
                                               <p class="fs_st clr_white"><img src="assets/images/services/Ticket.png" class="img-fluid"/> Charges</p>
                                               
                                                </div>
                                            <div class="col-sm-6">
                                                   
                                            </div>
                                    <div class="clearfix"></div>
                                    </div> 
                                    <div class="info-row row no-mar py-2">
                                            <div class="col-sm-6 no-pad">
                                               <p class="fsp-12 clr_c_grey" *ngIf="itemsOnCart.package">{{itemsOnCart.package}}</p>
                                               <p class="fsp-12 clr_c_grey" *ngIf="!itemsOnCart.package">Package</p>
                                              
                                                </div>
                                            <div class="col-sm-6">
                                                    <p class="fsp-13 clr_white float-right">&#x20B9; {{itemsOnCart.pkg_amt}}</p>
                                                     
                                            </div>
                                    <div class="clearfix"></div>
                                    </div> 
                                    <div class="info-row row no-mar py-2">
                                      <div class="col-sm-6 no-pad">
                                         <p class="fsp-12 clr_c_grey" *ngIf="portersOnCart.porters">{{portersOnCart.porters}}</p>
                                         <p class="fsp-12 clr_c_grey" *ngIf="!portersOnCart.porters">Porter Service</p>
                                        
                                          </div>
                                      <div class="col-sm-6">
                                              <p class="fsp-13 clr_white float-right">&#x20B9; {{portersOnCart.porter_amt}}</p>
                                               
                                      </div>
                              <div class="clearfix"></div>
                              </div> 
                                    <div class="info-row row no-mar py-2">
                                            <div class="col-sm-6 no-pad">
                                               <p class="fsp-12 clr_c_grey" *ngIf="addonsOnCart.addons">{{addonsOnCart.addons}}</p>
                                               <p class="fsp-12 clr_c_grey" *ngIf="!addonsOnCart.addons">Lounge</p>
                                              
                                                </div>
                                            <div class="col-sm-6">
                                                    <p class="fsp-13 clr_white float-right">&#x20B9; {{addonsOnCart.addon_amt}}</p>
                                                     
                                            </div>
                                    <div class="clearfix"></div>
                                    </div> 
                                    <div class="info-row row no-mar py-2 border-0" *ngIf="chargeDetails.gst">
                                            <div class="col-sm-6 no-pad">
                                               <p class="fsp-12 clr_c_grey"> GST @ 18% 
                                                   <span class="d-block">CGST@9% - &#x20B9; {{chargeDetails.cgst}}</span>
                                                   <span class="d-block">SGST@9% - &#x20B9; {{chargeDetails.sgst}}</span>
                                                </p>
                                              
                                                </div>
                                            <div class="col-sm-6">
                                                    <p class="fsp-13 clr_white float-right">&#x20B9;{{chargeDetails.gst}}</p>
                                                     
                                            </div>
                                    <div class="clearfix"></div>
                                    </div> 
                                    
  
  
                                </div>
                                <div class="info-row inset_row row bg-white no-mar px-3 py-3 border-0" >
                                        <div class="col-sm-6 no-pad">
                                           <p class="fsp-13  fw_600 clr_bl"> Total Charges  </p>
                                          
                                            </div>
                                        <div class="col-sm-6">
                                                <p class="fso-13 fw_600 clr_bl float-right">&#x20B9; {{chargeDetails.total}}</p>
                                                 
                                        </div>
                                <div class="clearfix"></div>
                                </div> 
                                </div>
                      </div>
                  </div>
                  </div>
          </div>
          </div>
      </section>
  
  
  <section class="footer d-flex align-items-center justify-content-center">
      <p class="fsp-13">© GMR Hyderabad International Airport (P) Ltd. All rights reserved</p>
  </section>